/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *     Silenio Quarti
 *******************************************************************************/

#ifndef ECLIPSE_UNICODE_H
#define ECLIPSE_UNICODE_H

#ifdef _WIN32

#ifdef UNICODE
#define _UNICODE
#endif
#include <windows.h>
#include <tchar.h>

#ifdef __MINGW32__
# ifdef UNICODE
#  ifndef _TCHAR
#   define _TCHAR TCHAR
#  endif /* _TCHAR */
#  ifndef _tgetcwd
#   define _tgetcwd _wgetcwd
#  endif /* _tgetcwd */
#  ifndef _tstat
#   define _tstat _wstat
#  endif /* _tstat */
# else /* UNICODE */
#  ifndef _TCHAR
#   define _TCHAR char
#  endif /* _TCHAR */
#  ifndef _tgetcwd
#   define _tgetcwd getcwd
#  endif /* _tgetcwd */
#  ifndef _tstat
#   define _tstat _stat
#  endif /* _tstat */
# endif /* UNICODE */
#endif /* __MINGW32__ */

#else /* Platforms other than Windows */

#define _TCHAR char
#define _T(s) s
#define _tcschr strchr
#define _tcslen strlen
#define _stprintf sprintf
#define _tprintf printf
#define _tcsicmp strcasecmp
#define _tcscpy strcpy
#define _tgetcwd getcwd
#define _tcscat strcat
#define _tgetenv getenv
#define _tcsncpy strncpy
#define _tstat stat
#define _tcscmp strcmp
#define _tcsrchr strrchr
#define _stat stat

#endif /* _WIN32 */

#endif /* ECLIPSE_UNICODE_H */
